package mylist;

import static org.junit.Assert.assertEquals;
import org.junit.Test;

public class AutomatedMinTest {
    public static final int MIN_START = -100;
    public static final int MIN_END = 100;
    
    @Test
    public void testMin() {
        for (int small = MIN_START; small < MIN_END; small++) {
            for (int big = small + 1; big <= MIN_END; big++) {
                assertEquals(small, Min.min(small, big));
                assertEquals(small, Min.min(big, small));
                assertEquals(small, Min.min(small, small));
                assertEquals(big, Min.min(big, big));
            }
        }
    }
}
